/*
Theme Name: SurvivalMap
Description: Thalassa Alhleggyhs
Author: Joinweb
Author URI: https://www.joinweb.gr
Template: joinwebBasic
Version: 1.0.0
*/
/* Global variables */
:root {
	--fontFamily: Helvetica Neue, Helvetica, Arial, sans-serif;
	--colorGreyDark: #231F20;
	--colorBlue: #3871C1;
	--colorBlueLight: #EFF4FA;
	--colorGreenLight: #F6FBFA;
	--colorGreyLight: #E5E5E5;
	--colorWhite: #fff;
}

body {
	font-family: var(--fontFamily);
	font-size: 1.8rem;
	background-color: var(--colorWhite);
	color: var(--colorGreyDark);
	position: relative;
}

@media screen and (max-width: 576px) {
	.wrapper {
		width: 100%;
		padding: 0 15px;
	}
}
@media screen and (min-width: 576px) and (max-width: 768px) {
	.wrapper {
		width: 540px;
		padding: 0 15px;
	}
}
@media screen and (min-width: 768px) and (max-width: 992px) {
	.wrapper {
		width: 720px;
	}
}
@media screen and (min-width: 992px) and (max-width: 1220px) {
	.wrapper {
		width: 960px;
	}
}
@media screen and (min-width: 1220px) {
	.wrapper {
		width: 1280px;
	}
}

/* Typography */
p {
	margin: 0;
	padding: 0;
}

a {
	color: var(--colorBlue);
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

h1, .h1 { font-size: 6.4rem; }
h2, .h2 { font-size: 4.8rem; }
h3, .h3 { font-size: 3.2rem; }
h4, .h4 { font-size: 2.4rem; }
h5, .h5 { font-size: 2rem; }
h6, .h6 { font-size: 0.8rem; }

h1, h2, h3, h4, h5, h6 { font-weight: normal;}

.text p,
.text li {
	line-height: 1.5;
}

.text p + p,
.text li + li {
	margin-top: 1.6rem;
}

.text h3 {
	margin-bottom: 2.4rem;
}

.text figure {
	margin-bottom: 3.2rem;
}

.text p + h3 {
	margin-top: 4.8rem;
}

.text p + figure {
	margin-top: 3.2rem;
}

/* Address card */
.vcard {
	font-style: normal;
	font-size: 1.6rem;
	font-weight: 300;
}

.vcard p + p {
	margin-top: 1rem;
}

.vcard .street-address,
.vcard .tel,
.vcard .email {
	padding-left: 3.5rem;
	min-height: 3rem;
	padding-top: 0.5rem;
}

.vcard .street-address { background: url("images/icon-pin.svg") no-repeat center left; }
.vcard .tel { background: url("images/icon-phone.svg") no-repeat center left; }
.vcard .email { background: url("images/icon-mail.svg") no-repeat center left; }

.vcard--blue {
	display: grid;
	grid-template-columns: 5rem minmax(0, 1fr);
	gap: 1.5rem;
}

.vcard--blue:before {
	content: "";
	width: 5rem;
	height: 15rem;
	background: var(--colorBlue) url("images/icon-pin.svg") no-repeat center center;
	border-radius: 5px 0 0 5px;
	margin-right: 1rem;
}

.vcard--blue .street-address,
.vcard--blue .tel,
.vcard--blue .email {
	padding: 0;
	background: none;
}

/* Sections */
.section {
	padding: 6.4rem 0;
}

.section--bg {
	padding: 0;
	margin-top: -5rem;
}

.section--bg .wrapper {
	position: relative;
}

.section--bg__photo {
	height: 40rem;
	background: url("https://dummyimage.com/1440x400/aaa/fff") no-repeat top center;
}

.section--bg__container {
	background: var(--colorWhite);
	width: 60%;
	padding: 4rem;
	position: absolute;
	left: 0;
	bottom: 0;
	font-size: 2.8rem;
	font-weight: 300;
}

/* Buttons */
.buttonContainer {
	margin-top: 2.4rem;
}
.footerLinksMenu a,
.button {
	display: inline-block;
	cursor: pointer;
	padding: 1.6rem 2.4rem;
	font-size: 1.8rem;
	font-weight: bold;
	text-align: center;
	white-space: nowrap;
	border: 1px solid transparent;
	border-radius: 6px;
	transition: background-color 0.5s, color 0.5s, border-color 0.5s;
	background-color: var(--colorBlue);
	color: var(--colorWhite);
}

.footerLinksMenu a:hover,
.button:hover {
	text-decoration: none;
	background-color: var(--colorWhite);
	color: var(--colorBlue);
	border-color: var(--colorBlue);
}

.footerLinksMenu a,
.button--secondary {
	background: none;
	border: 1px solid var(--colorBlueLight);
	color: var(--colorBluelight);
	font-size: 1.6rem;
	text-transform: uppercase;
}

.footerLinksMenu a:hover,
.button--secondary:hover {
	background: var(--colorBlueLight);
	color: var(--colorBlue);
}
.mainFooter .footerLinksMenu li + li {
	margin-top: 0;
}
.footerLinksMenu ul {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}

/* Forms */
.form {
	margin: 0;
	padding: 0;
}

.fieldContainer + .fieldContainer {
	margin-top: 2.4rem;
}

.field {
	display: block;
	width: 100%;
	padding: 1.6rem;
	border: 1px solid var(--colorGreyLight);
	background: #fafafa;
	color: var(--colorGrey);
	border-radius: 4px;
	font-family: var(--fontFamily);
	font-size: 1.8rem;
	transition: border-color 0.5s;
}

.field:focus,
.field:active {
	border-color: var(--colorBlue);
	outline: none;
}

textarea.field {
	font-family: var(--fontFamily);
	font-size: 1.8rem;
	min-height: 20rem;
}

/* Header */
.mainHeader {
	width: 100%;
	background: var(--colorWhite);
	padding: 1.6rem 0;
}

.mainHeader .grid {
	grid-template-columns: 177px minmax(0, 1fr) 160px;
	align-items: center;
}

.mainHeader__menus {
	justify-self: right;
	text-align: right;
	/*position: relative;
	z-index: 2;*/
}

.mainHeader__name {
	font-size: 3.2rem;
	white-space: nowrap;
}

.languageSwitch {
	display: inline-block;
	position: relative;
}

.languageSwitch .pll-parent-menu-item > a {
	padding-right: 2.4rem;
	background: url("images/icon-arrow-down.svg") no-repeat center right;
}
.languageSwitch .sub-menu {
	flex-direction: column;
	display: none;
	position: absolute;
	top: 20px;
	left: -19px;
	z-index: 99;
	background: #fff;
	padding: 0 20px;
}
.languageSwitch.active .sub-menu {
	flex-direction: column;
	display: flex;
}

.menuTrigger {
	font-size: 1.6rem;
	font-weight: bold;
	text-transform: uppercase;
	color: var(--colorGreyDark);
	display: inline-block;
	margin-left: 2rem;
	padding-right: 3rem;
	height: 2.2rem;
	background: url("images/icon-menu.svg") no-repeat center right;
}

.menuOpen .menuTrigger {
	background: url("images/icon-x.svg") no-repeat center right;
}

/* Menu */
.menuOpen {
	position: relative;
}

.menuContainer {
	background: var(--colorWhite);
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	z-index: 1;
	width: 40rem;
	padding: 2.4rem;
	padding-top: 15rem;
	box-shadow: -10px 0 20px rgba(0, 0, 0, 0.25);
}

.menu {

}

.menu ul,
ul.unstyled,
ol.unstyled {
	margin: 0;
	padding: 0;
	list-style: none;
}

.menu li:not(.separator) + li,
ul.unstyled li + li,
ol.unstyled li + li {
	margin-top: 1.6rem;
}

.menu li a {
	color: var(--colorGreyDark);
	padding-left: 3.2rem;
}

.menu li a:hover {
	color: var(--colorBlue);
}

.menu li.current-menu-item a {
	color: var(--colorBlue);
	font-weight: bold;
	background: url("images/icon-arrow-left.svg") no-repeat top left;
}

.menu li.separator {
	margin-top: 2.4rem !important;
	padding-top: 2.4rem;
	border-top: 1px solid var(--colorGreyLight);
}

/* Tiles */
.tiles {
	margin: 0;
	padding: 0;
	list-style: none;
	display: grid;
	gap: 3.2rem;
	grid-template-columns: repeat(4, minmax(0, 1fr));
}

.tiles > li > a {
	display: flex;
	flex-direction: column;
	gap: 0.8rem;
	height: 100%;
	padding: 3.2rem;
	border-radius: 6px;
	background: var(--colorGreenLight);
	color: var(--colorGreyDark);
	font-weight: bold;
	font-size: 2.4rem;
}

.tiles > li > a:hover {
	background-color: var(--colorBlue);
	color: var(--colorWhite);
	text-decoration: none;
}

.tile__icon {
	width: 4.8rem;
	height: 4.8rem;
}

.tile__icon svg {
	fill: var(--colorBlue);
}

.tiles > li > a:hover svg {
	fill: var(--colorWhite);
}

/* Services */
.services {
	list-style: none;
	margin: 0;
	padding: 0;
}

.services li + li {
	margin-top: 3.2rem;
	padding-top: 3.2rem;
	border-top: 1px solid var(--colorGreyLight);
}

.services li article {
	display: grid;
	grid-template-columns: minmax(0, 1fr) fit-content(22rem);
	align-items: center;
	gap: 3.2rem;
}

.services__actions {
	justify-self: right;
}

.services__actions a {
	font-weight: bold;
	text-transform: uppercase;
	color: var(--colorGreyDark);
	display: inline-flex;
	flex-direction: column;
	align-items: center;
	gap: 1.6rem;
}

.services__actions a + a {
	margin-left: 4.8rem;
}

/* Maps */
.mapContainer {
	position: relative;
	padding-bottom: 50%; // This is the aspect ratio
height: 0;
	overflow: hidden;
}

.mapContainer iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100% !important;
	height: 100% !important;
}

/* Footer */
.mainFooter {
	background-color: var(--colorBlue);
	color: var(--colorWhite);
	padding: 4.8rem 0;
	font-size: 1.6rem;
}

.mainFooter__logo {
	opacity: 0.4;
}

.mainFooter .h6 {
	font-size: 2.1rem;
	margin-bottom: 1.5rem;
	color: var(--colorGrey);
}

.mainFooter a {
	color: var(--colorWhite);
}

.mainFooter ul {
	list-style: none;
	margin: 0;
	padding: 0;
}

.mainFooter li + li {
	margin-top: 0.8rem;
}

.mainFooter .vcard {
	font-size: 1.4rem;
}

.mainFooter .vcard .street-address { background-repeat: no-repeat; }
.mainFooter .vcard .tel { background-position: center left; background-repeat: no-repeat; }
.mainFooter .vcard .email { background: 0 3px; background-repeat: no-repeat; }

.mainFooter__menu {
	grid-template-columns: 3fr 2fr 2fr;
}

.mainFooter .caption,
.mainFooter .caption a {
	color: var(--colorGrey);
}

/* Layout helpers */
.grid--contact {
	grid-template-columns: repeat(2, minmax(0, 1fr));
	gap: 3.2rem;
}
.col2 { grid-template-columns: repeat(2, minmax(0, 1fr)); }
.col3 { grid-template-columns: repeat(3, minmax(0, 1fr)); }
.col4 { grid-template-columns: repeat(4, minmax(0, 1fr)); }

.col2thirds {
	grid-template-columns: minmax(0, 1fr) 33rem;
	grid-template-rows: auto;
	gap: 5.6rem;
}

.mt-s { margin-top: 0.8rem !important; }
.mt-m { margin-top: 1.6rem !important; }
.mt-l { margin-top: 3.2rem !important; }
.mt-xl { margin-top: 4.8rem !important; }
.mt-xxl { margin-top: 6.4rem !important; }

.mb-s { margin-bottom: 0.8rem !important; }
.mb-m { margin-bottom: 1.6rem !important; }
.mb-l { margin-bottom: 3.2rem !important; }
.mb-xl { margin-bottom: 4.8rem !important; }
.mb-xxl { margin-bottom: 6.4rem !important; }

.one-half { width: 50%; }
.one-third { width: 33.333333%; }
.one-quarter { width: 25%; }
.three-quarters { width: 75%; }

.centerContent { margin: 0 auto; }
.centerText { text-align: center; }

.languageSwitch ul {
	margin: 0;
	padding: 0;
	display: flex;
	list-style: none;
}

.languageSwitch ul li a {
	display: flex;
	align-items: center;
}

.tile__icon svg {
	width: 48px;
	height: auto;
}
.homeMessage {
	margin-top: 60px;
}
.logos {
	text-align: center;
}
.logos figure {
	display: inline-block;
}

.smallOnly,
.logos figure.smallOnly,
.main-menu-nav #pll_switcher {
	display: none;
}
.largeOnly,
.logos figure.largeOnly {
	display: inline-block;
}
.moreInfoFooter {
	text-align: center;
	margin-top: 40px;
}

.single-news p,
.single-news .wp-block-image {
	margin-bottom: 20px;
}
.postInfo {
	font-size: 14px;
	margin-top: 20px;
}
